VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Public Member Functions | Protected Attributes | List of all members
ParameterValueQueue Class Reference
Common Hosting SDK Implementation Helper Classes

Implementation's example of IParamValueQueue - not threadsave!. More...

`#include <parameterchanges.h>`

Inheritance diagram for ParameterValueQueue:

## Classes
struct | ParameterQueueValue

## Public Member Functions
| ParameterValueQueue (ParamID paramID)
virtual | ~ParameterValueQueue ()
ParamID | getParameterId () SMTG_OVERRIDE
int32 | getPointCount () SMTG_OVERRIDE
tresult | getPoint (int32 index, int32 &sampleOffset, ParamValue &value) SMTG_OVERRIDE
tresult | addPoint (int32 sampleOffset, ParamValue value, int32 &index) SMTG_OVERRIDE
void | setParamID (ParamID pID)
void | clear ()

## Protected Attributes
ParamID | paramID
std::vector< ParameterQueueValue > | values

## Additional Inherited Members
Static Public Attributes inherited from IParamValueQueue
static const FUID | iid

## Detailed Description

Implementation's example of IParamValueQueue - not threadsave!.

## Constructor & Destructor Documentation

ParameterValueQueue | ( | ParamID | paramID | ) |

~ParameterValueQueue | ( |  | ) |
| virtual

## Member Function Documentation

ParamID getParameterId | ( |  | ) |
| inline virtual

Implements IParamValueQueue.

int32 getPointCount | ( |  | ) |
| virtual

Implements IParamValueQueue.

tresult getPoint | ( | int32 | index,
|  | int32 & | sampleOffset,
|  | ParamValue & | value
| ) |  |
| virtual

Implements IParamValueQueue.

tresult addPoint | ( | int32 | sampleOffset,
|  | ParamValue | value,
|  | int32 & | index
| ) |  |
| virtual

Implements IParamValueQueue.

void setParamID | ( | ParamID | pID | ) |
| inline

void clear | ( |  | ) |

## Member Data Documentation

ParamID paramID
| protected

std::vector<ParameterQueueValue> values
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.